Blog

Viernes, 18 Agosto 2017 20:49

Error al instalar mcrypt en Centos --yum requires php(zend-abi)--

Esrito por 

Al instalar mcrypt en Centos, siguiendo las siguientes órdenes

1. yum install epel-release

2. yum install php-mcrypt

Shell devuelve el siguiente error. 

Resolving Dependencies

--> Running transaction check

---> Package php-mcrypt.x86_64 0:5.3.3-4.el6 will be installed

--> Processing Dependency: php(zend-abi) = 20090626 for package: php-mcrypt-5.3.3-4.el6.x86_64

--> Processing Dependency: php(api) = 20090626 for package: php-mcrypt-5.3.3-4.el6.x86_64

--> Processing Dependency: libmcrypt.so.4()(64bit) for package: php-mcrypt-5.3.3-4.el6.x86_64

--> Running transaction check

---> Package libmcrypt.x86_64 0:2.5.8-9.el6 will be installed

---> Package php-mcrypt.x86_64 0:5.3.3-4.el6 will be installed

--> Processing Dependency: php(zend-abi) = 20090626 for package: php-mcrypt-5.3.3-4.el6.x86_64

--> Processing Dependency: php(api) = 20090626 for package: php-mcrypt-5.3.3-4.el6.x86_64

--> Finished Dependency Resolution

Error: Package: php-mcrypt-5.3.3-4.el6.x86_64 (epel)

           Requires: php(zend-abi) = 20090626

           Installed: php-common-5.4.16-36.el7_1.x86_64 (@base)

               php(zend-abi) = 20100525-64

Error: Package: php-mcrypt-5.3.3-4.el6.x86_64 (epel)

           Requires: php(api) = 20090626

           Installed: php-common-5.4.16-36.el7_1.x86_64 (@base)

               php(api) = 20100412-64

 You could try using --skip-broken to work around the problem

 You could try running: rpm -Va --nofiles --nodigest

 

Eso es porque, por alguna razón se está intentando instalar la versión EL6 de mcrypt. Prueba las siguientes órdenes

yum clean all

yum remove epel-release

yum install epel-release 

yum install php-mcrypt

Leer 6092 times Last modified on Domingo, 27 Agosto 2017 21:42

Sobre CNERIS

CNERIS es una empresa constituida por jóvenes emprendedores procedentes de diferentes sectores del mundo de la información. Nuestro equipo está compuesto por programadores, administradores de sistemas, administradores de base de datos, diseñadores gráficos, maquetadores,